version: '3.3'
services:
  db:
    image: mysql:5.7
    restart: always
    environment:
      MYSQL_DATABASE: 'db'
      # So you don't have to use root, but you can if you like
      MYSQL_USER: 'root'
      # You can use whatever password you like
      MYSQL_PASSWORD: 'root'
      # Password for root access
      MYSQL_ROOT_PASSWORD: 'root'
    ports:
      # <Port exposed> : < MySQL Port running inside container>
      - '3306:3306'
    expose:
      # Opens port 3306 on the container
      - '3306'
      # Where our data will be persisted
    #volumes:
     # - my-db:/var/lib/mysql
     #verify db connection mysql --host=localhost --user=root --password P@ssw0rd 
  my-app:
    image: tamerdibsidocker/devops:7e01603c-20200430    
    restart: always
    ports:
      - "8090:8090"
    environment:
      - SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT=org.hibernate.dialect.MySQL8Dialect
      - SPRING_JPA_HIBERNATE_DDL_AUTO= update
      - SPRING_DATASOURCE_URL=jdbc:mysql://db:3306/mysql
      - SPRING_DATASOURCE_USERNAME=root
      - SPRING_DATASOURCE_PASSWORD=root
      - SPRING_DATASOURCE_DRIVER_CLASS_NAME=com.mysql.jdbc.Driver
      - JAVA_OPTS=-Djava.net.preferIPv4Stack=true
      - DB_NAME=mysql
    depends_on:
      - db
  #Make sure app is up http://localhost:8090/actuator/health    